cinnamon (6.4.13-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Remove Recommends: devhelp

  [ Fabio Fantoni ]
  * d/control: replace transitional python3-tz dependency with python3-pytz
    (Closes: #1121834)
  * d/control: Remove Rules-Requires-Root, no longer necessary since trixie
  * Update standards version to 4.7.3, no changes needed
  * d/control:
    - remove gnome-pkg-tools from build-deps (Closes: #1122833)
    - replace dbus dep. with dbus-bin and
      default-dbus-session-bus | dbus-session-bus (Closes: #1122552)
    - replace libgirepository1.0-dev with gir1.2-freedesktop-dev,
      gir1.2-glib-2.0-dev and libgirepository-1.0-dev (Closes: #1118798)
    - add Daniel Echeverri in Uploaders
  * Made muffin's custom-library-search-path override more flexible and
    correct on all architectures
  * add lintian override for desktop-command-not-in-package env
  * add lintian override about man files not shipped upstream and should
    not needed to add in packaging
  * Update d/copyright

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 01 Feb 2026 21:29:36 +0100

cinnamon (6.4.13-1) unstable; urgency=medium

  * New upstream version 6.4.13 (Closes: #1116496)
  * d/control: libglib2.0-dev build-dep. to version 2.79.2
  * refresh d/patches

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 03 Oct 2025 21:02:03 +0200

cinnamon (6.4.12-1) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Add patches to support working with GLib 2.86

  [ Fabio Fantoni ]
  * New upstream version 6.4.12
  * Refresh d/patches
  * d/control: replace gnome-icon-theme with mate-icon-theme

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 13 Sep 2025 16:00:41 +0200

cinnamon (6.4.10-2) unstable; urgency=medium

  * d/control: add gnome-icon-theme to cinnamon depends (Closes: #1106195)

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 06 Jul 2025 22:10:27 +0200

cinnamon (6.4.10-1) unstable; urgency=medium

  * New upstream version 6.4.10
    - polkitAuthenticationAgent.js: Allow root authentication if
      there are no admin users (Closes: #1101927)

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 04 May 2025 20:20:41 +0200

cinnamon (6.4.9-1) unstable; urgency=medium

  * New upstream version 6.4.9
  * refresh d/patches
  * d/control: build-Depends and depends to cjs 128 (Closes: #1102395)
  * d/copyright: remove old fsf address

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 11 Apr 2025 12:55:14 +0200

cinnamon (6.4.8-1) unstable; urgency=medium

  * New upstream version 6.4.8
  * Update standards version to 4.7.2, no changes needed
  * refresh d/patches

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 15 Mar 2025 15:42:20 +0100

cinnamon (6.4.7-1) unstable; urgency=medium

  * New upstream version 6.4.7
  * d/control: add missed polkit-1-auth-agent to provides.
    Thanks to Joshua Peisach
  * d/control: replace network-manager-gnome with nm-connection-editor
    (Closes: #1086815)
  * d/patches:
    - refresh older patches
    - add upstream patch to avoid put generated css file
    in source dir (Closes: #1043720)
  * refresh d/patches
  * Update standards version to 4.7.0, no changes needed

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 08 Feb 2025 18:17:35 +0100

cinnamon (6.4.5-1) unstable; urgency=medium

  * New upstream version 6.4.5
  * d/gbp.conf: switch to DEP-14 and other improvements
  * d/patches: remove a patch applied upstream and refresh others
  * d/control:
    - replace old site in homepage with upstream repository
    - add libgcr-3-dev, libsecret-1-dev and pysassc to build-deps
    - add gir1.2-gcr-3 to cinnamon deps
    - bump build-deps and deps of some components to 6.4
    - remove policykit-1-gnome from deps, 6.4 use internal polkit
      agent by default for all sessions (Closes: #1038630)

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 19 Jan 2025 18:44:02 +0100

cinnamon (6.2.9-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream version 6.2.9
  * d/patches:
    - remove one patch applied upstream and refresh others
    - add an upstream patch that fix build with gtk-doc-tools 1.34.0
      (Closes: #1073484)
  * d/control: bump build-deps and deps of some components to 6.2
  * d/README.source: replace with new link with details about packaging

  [ Jeremy Bícha ]
  * Add Depends: libjxl-gdk-pixbuf

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 04 Oct 2024 19:10:17 +0200

cinnamon (6.0.4-4) unstable; urgency=medium

  * d/patches: add upstream patch to remove GNOME Online Accounts from
    cinnamon-settings and show GNOME Online Accounts GTK, if installed
  * d/control: remove gir1.2-goa-1.0 from deps and add
    gnome-online-accounts-gtk to recommends of cinnamon

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 06 Apr 2024 11:28:38 +0200

cinnamon (6.0.4-3) unstable; urgency=medium

  * Release to unstable
  * d/control:
    - move cinnamon-l10n from recommends to depends in cinnamon
    - remove hardcoded libcinnamon-desktop4 and libmuffin0 dep in cinnamon

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 31 Mar 2024 20:32:20 +0200

cinnamon (6.0.4-2) experimental; urgency=medium

  * move config.js to cinnamon-common, was in cinnamon because contained
    a different parameter in some architectures, now it no longer present
  * move x-cinnamon-portals.conf to cinnamon where there is the needed
    dep, this also reduces conflicts with upstream packages

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Tue, 27 Feb 2024 22:28:26 +0100

cinnamon (6.0.4-1) experimental; urgency=medium

  * New upstream version 6.0.4 (Closes: #1061532)
    Initial wayland support was added, is important know that
    is still incomplete and experimental
  * d/patches: remove 2 patches applied upstream and refresh others
  * Removed d/x-cinnamon-portals.conf, added upstream
  * d/control:
    - change cinnamon dep. from gir1.2-soup-2.4 to gir1.2-soup-3.0
    - remove libxfixes-dev from build-deps as not needed anymore
    - bump version of needed deps to 6.0

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 11 Feb 2024 15:44:59 +0100

cinnamon (5.8.4-4) unstable; urgency=medium

  * Move gir files from public to private path in /usr/share/cinnamon
    and from cinnamon to cinnamon-common package (Closes: #1057391)
  * d/rules:
    - add override_dh_shlibdeps with muffin private libraries path

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Mon, 01 Jan 2024 15:31:43 +0100

cinnamon (5.8.4-3) unstable; urgency=medium

  * Release to unstable

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 29 Sep 2023 13:47:46 +0200

cinnamon (5.8.4-2) experimental; urgency=medium

  * d/patches/replace-pil-image-antialias.patch: Add upstream fix for pillow 10
    (Closes: #1051210)
  * Add x-cinnamon-portals.conf until the upstream provides it.
    Thanks to Simon McVittie (Closes: #1050801)
  * d/control: add xdg-desktop-portal-gtk to cinnamon recommends

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 15 Sep 2023 20:49:45 +0200

cinnamon (5.8.4-1) experimental; urgency=medium

  * New upstream version 5.8.4
  * Provide .gir files in cinnamon package as full -dev package is
    not needed for applets, extensions and desklets
  * d/control:
    - add xdg-desktop-portal-xapp to cinnamon recommends
    - add touchegg to cinnamon recommends
    - build-depend on libgl-dev instead of transitional libgl1-mesa-dev
    - bump version of needed deps to 5.8
    - remove gir1.2-gnomedesktop-3.0 from deps as now unused
  * Refresh d/patches

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 14 Jul 2023 13:51:03 +0200

cinnamon (5.6.8-1) unstable; urgency=medium

  * New upstream bugfix version 5.6.8 (Closes: #1032912)

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 19 Mar 2023 22:38:37 +0100

cinnamon (5.6.7-1) unstable; urgency=medium

  * New upstream version 5.6.7
  * Update standards version to 4.6.2, no changes needed

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Mon, 16 Jan 2023 20:39:02 +0100

cinnamon (5.6.5-2) unstable; urgency=medium

  * Release to unstable

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 25 Dec 2022 19:59:48 +0100

cinnamon (5.6.5-1) experimental; urgency=medium

  * New upstream version 5.6.5
  * Refresh d/patches
  * d/control: remove xapp from cinnamon deps and add to recommends
    libxapp-gtk3-module and xapp-sn-watcher
  * Bump version of needed deps to 5.6

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Tue, 20 Dec 2022 21:21:44 +0100

cinnamon (5.4.12-2) unstable; urgency=medium

  * d/control:
    - remove gir1.2-clutter-1.0 and gir1.2-cogl-1.0 as a maintained fork
      was integrated in muffin (from mutter) and used instead the deprecate
      and not maintained one
    - remove gir1.2-gtkclutter-1.0 as now unused
  * debian/patches: add a patch to fix the upload-system-info path

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 04 Nov 2022 17:38:34 +0100

cinnamon (5.4.12-1) unstable; urgency=medium

  * New upstream version 5.4.12
  * d/control:
    - update muffin deps and build-deps to 5.4.7
    - remove gir1.2-meta-muffin-0.0 from build-deps

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 09 Sep 2022 11:32:02 +0200

cinnamon (5.4.11-1) unstable; urgency=medium

  * New upstream version 5.4.11
  * d/cinnamon.gsettings-override: set theme to cinnamon
  * d/control: readd gir1.2-soup-2.4 to deps as temp. workaround
    because many applets and desklet require it

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 21 Aug 2022 20:24:51 +0200

cinnamon (5.4.10-2) unstable; urgency=medium

  * Release to unstable

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 14 Aug 2022 17:09:45 +0200

cinnamon (5.4.10-1) experimental; urgency=medium

  * New upstream version 5.4.10
  * d/control: remove libsoup2.4-dev from build-deps and
    gir1.2-soup-2.4 from deps
  * Refresh d/patches

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 13 Aug 2022 14:47:32 +0200

cinnamon (5.4.9-1) experimental; urgency=medium

  * New upstream version 5.4.9

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Mon, 01 Aug 2022 21:10:00 +0200

cinnamon (5.4.8-1) experimental; urgency=medium

  * New upstream version 5.4.8

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Mon, 25 Jul 2022 22:52:38 +0200

cinnamon (5.4.7-1) experimental; urgency=medium

  * New upstream version 5.4.7
  * d/rules: remove the move of thumbnail not present
  * Specify that rules don't require root
  * Bumped Standards-Version to 4.6.1
  * d/control: update cinnamon-settings-daemon dep to 5.4.3

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 24 Jul 2022 21:16:29 +0200

cinnamon (5.4.5-1) experimental; urgency=medium

  * New upstream version 5.4.5
  * Disable d/patches/always-add-default-theme.patch
  * d/control: update muffin deps and build-deps to 5.4.2
  * Update cinnamon lintian overrides

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Wed, 20 Jul 2022 23:24:31 +0200

cinnamon (5.4.2-1) experimental; urgency=medium

  * New upstream version 5.4.2
  * Simplify and update d/watch
  * d/control:
    - add inxi to cinnamon recommends
    - add devhelp to cinnanon-doc recommends
    - add libxapp-dev to build-deps
    - add gir1.2-gsound-1.0 to cinnamon deps
    - update meson min. version
    - remove libclutter-1.0-dev from build-deps
  * Bump version of deps and breaks of reverse deps to 5.4
  * Update d/copyright
  * d/patches: remove 4 patches applied upstream and refresh others

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 10 Jul 2022 23:01:00 +0200

cinnamon (5.2.7-4) unstable; urgency=medium

  * d/control: add psmisc to cinnamon depends
    Thanks to Martin Simmons for reporting (Closes: #1006887)
  * d/control: add pkexec to cinnamon depends
  * d/patches: add fixes from upstream:
    - calendar events: Check if evolution-data-server is running before
      enabling events
    - calendar-server: Add return after calling app.quit()

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Mon, 11 Apr 2022 20:24:21 +0200

cinnamon (5.2.7-3) unstable; urgency=medium

  [ Fabio Fantoni ]
  * update d/copyright

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 12 Apr 2022 12:08:31 +0200

cinnamon (5.2.7-2) unstable; urgency=medium

  * add myself to uploaders
  * prepare unstable upload

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 26 Jan 2022 09:42:51 +0100

cinnamon (5.2.7-1) experimental; urgency=medium

  * New upstream version 5.2.7
  * Add python3-requests to cinnamon depends
  * d/patches:
    - add a revert of workaround for meson 0.60.2 regression
    that cause FTBFS after his fix
    - gtkdoc: remove dependencies on custom target files
  * Add Joshua to uploaders

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 31 Dec 2021 16:13:31 +0100

cinnamon (5.2.6-1) experimental; urgency=medium

  * New upstream version 5.2.6 (Closes: #1001536, #1002412)
  * update xapp deps for package split of 2.2.5-1
  * use dh-sequence-gir and dh-sequence-python3
  * d/patches: remove applied upstream and refresh others
  * d/control: add deps for calendar server

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 04 Dec 2021 12:46:20 +0100

cinnamon (5.0.6-1) unstable; urgency=medium

  * New upstream version 5.0.6
  * Remove a d/patches applied upstream
  * d/patches: add 2 patches from upstream:
    - fix menu-editor with python 3.10
    - capy better multiarch path support, fix some archs

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 17 Oct 2021 12:44:24 +0200

cinnamon (5.0.5-2) unstable; urgency=medium

  [ Fabio Fantoni ]
  * d/patches: apply 3 fixes from upstream to avoid a crash, issue
    on cinnamon restart and fallback session

 -- Norbert Preining <norbert@preining.info>  Wed, 29 Sep 2021 20:18:09 +0900

cinnamon (5.0.5-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * New upstream version 5.0.5 (Closes: #985138)
  * Remove a d/patches applied upstream and refresh others

 -- Norbert Preining <norbert@preining.info>  Mon, 23 Aug 2021 13:17:04 +0900

cinnamon (4.8.6-2) unstable; urgency=medium

  [ Fabio Fantoni ]
  * Remove x-terminal-emulator alternative from gnome-terminal
    recommend in cinnamon (Closes: #960244)
  * d/patches/GWL-fixes.patch: fixes some bugs that occur when
    move app window to another workspace.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Feb 2021 09:12:15 +0900

cinnamon (4.8.6-1) unstable; urgency=medium

  * New upstream version 4.8.6

 -- Norbert Preining <norbert@preining.info>  Sat, 16 Jan 2021 20:12:34 +0900

cinnamon (4.8.5-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * Remove old transitions meta packages:
    gnome-themes-standard, gir1.2-networkmanager-1.0
  * removed old breaks/replaces

  [ Norbert Preining ]
  * New upstream version 4.8.5
  * Remove upstream included patch.

 -- Norbert Preining <norbert@preining.info>  Sun, 03 Jan 2021 06:28:38 +0900

cinnamon (4.8.4-2) unstable; urgency=medium

  * Include upstream patch for desktop files in sub-folders.

 -- Norbert Preining <norbert@preining.info>  Sat, 02 Jan 2021 08:09:23 +0900

cinnamon (4.8.4-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream version 4.8.4

  [ Fabio Fantoni ]
  * Add metapackages as recommends and suggest (Closes: #958454)

 -- Norbert Preining <norbert@preining.info>  Sat, 26 Dec 2020 15:52:30 +0900

cinnamon (4.8.3-3) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Remove unused build-dependency on libcroco3-dev (Closes: #967027)

 -- Norbert Preining <norbert@preining.info>  Mon, 21 Dec 2020 04:31:36 +0900

cinnamon (4.8.3-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Wed, 16 Dec 2020 12:37:58 +0900

cinnamon (4.8.3-1) experimental; urgency=medium

  * New upstream version 4.8.3

 -- Norbert Preining <norbert@preining.info>  Tue, 15 Dec 2020 12:56:42 +0900

cinnamon (4.8.2-1) experimental; urgency=medium

  * Update/rename lintian tags.
  * Ensure postinstall aborts on failed sub-commands.
  * Add dbus to dependencies for dbus-send command.
  * New upstream version 4.8.2
  * Adjust B-D according to upstream.
  * Remove patches for upstream fixes.
  * Fix some lintian warnings.
  * install new files, remove dh_missing override, fail on missing files.

 -- Norbert Preining <norbert@preining.info>  Tue, 08 Dec 2020 23:09:48 +0900

cinnamon (4.8.0-2) experimental; urgency=medium

  [ Fabio Fantoni ]
  * Add firefox-esr to favorites (Closes: #918917)
  * Disable network manager in configure on not-linux archs.
  * Add some build related fixes from upstream.
  * Remove override_dh_girepository (fix i386 build).

 -- Norbert Preining <norbert@preining.info>  Sun, 06 Dec 2020 09:29:49 +0900

cinnamon (4.8.0-1) experimental; urgency=medium

  * New upstream version 4.8.0 (Closes: #969245)
  * update/cleanup patches
  * update B-D versions
  * use meson, use 4.8 deps, dh compat 13
  * Bump xapp dependency.

 -- Norbert Preining <norbert@preining.info>  Tue, 01 Dec 2020 08:33:22 +0900

cinnamon (4.6.7-2) experimental; urgency=medium

  * Fixes for new cjs

 -- Norbert Preining <norbert@preining.info>  Tue, 29 Sep 2020 10:18:39 +0900

cinnamon (4.6.7-1) unstable; urgency=medium

  * New upstream version 4.6.7
  * update patch
  * bump standards version, no changes necessary
  * use debhelerp-compat instead of debian/compat

 -- Norbert Preining <norbert@preining.info>  Sun, 16 Aug 2020 00:54:59 +0900

cinnamon (4.6.6-1) unstable; urgency=medium

  * New upstream version 4.6.6

 -- Norbert Preining <norbert@preining.info>  Thu, 25 Jun 2020 10:53:26 +0900

cinnamon (4.6.3-1) experimental; urgency=medium

  * New upstream version 4.6.3
  * update patches
  * bump deps to 4.6

 -- Norbert Preining <norbert@preining.info>  Thu, 11 Jun 2020 14:06:09 +0900

cinnamon (4.4.8-4) unstable; urgency=medium

  * drop dbus-glib necessity (Closes: #955826)
  * fix python 3.8 noisiness (Closes: #956001), thanks Joshua Peisach

 -- Norbert Preining <norbert@preining.info>  Fri, 17 Apr 2020 08:28:33 +0900

cinnamon (4.4.8-3) unstable; urgency=medium

  * Suggest python3-opencv instead of python-opencv (Closes: #954155)
  * Cherry-pick fix for OS detection with Python 3.8 (Closes: #955594)

 -- Norbert Preining <norbert@preining.info>  Fri, 03 Apr 2020 10:33:38 +0900

cinnamon (4.4.8-2) unstable; urgency=medium

  * Upload to unstable

 -- Norbert Preining <norbert@preining.info>  Tue, 04 Feb 2020 08:38:04 +0900

cinnamon (4.4.8-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * Add missed header to latest patch

  [ Norbert Preining ]
  * New upstream version 4.4.8
  * update patches

 -- Norbert Preining <norbert@preining.info>  Sun, 19 Jan 2020 09:46:28 +0900

cinnamon (4.2.4-2) unstable; urgency=medium

  [ Fabio Fantoni ]
  * Add missed python3-setproctitle dep.

  [ Norbert Preining ]
  * Upload to unstable
  * Add option to disable local extension in restart dialog (Closes: #785336)

 -- Norbert Preining <norbert@preining.info>  Mon, 30 Sep 2019 22:27:45 +0900

cinnamon (4.2.4-1) experimental; urgency=medium

  * New upstream release (4.2.4)

 -- Norbert Preining <norbert@preining.info>  Wed, 04 Sep 2019 21:13:33 +0900

cinnamon (4.2.3-1) experimental; urgency=medium

  * New upstream release (4.2.3)
  * add myself to uploaders, release to experimental

 -- Norbert Preining <norbert@preining.info>  Sun, 01 Sep 2019 10:53:15 +0900

cinnamon (4.0.10-2) unstable; urgency=medium

  [ Norbert Preining ]
  * add dependency on gir1.2-nemo-3.0 (Closes: #936089, #936100)

  [ Maximiliano Curia ]
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Aug 2019 10:17:08 -0300

cinnamon (4.0.10-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New revision
  * Replace gvfs-bin calls with gio calls.
    Thanks to Simon McVittie for the heads up (Closes: 877738)
  * Salsa CI automatic initialization by Tuco
  * Add a basic gbp.conf
  * Add lintian-override for muffin rpath
  * Release to unstable

  [ Norbert Preining ]
  * Fix disappearing systray indicators (upstream fix)
  * New upstream releases (4.0.5, 4.0.10)
  * Fix cinnamon-settings for PIL >= 6.0.0 (VERSION was removed)
    (Closes: #931777, #932578)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Aug 2019 12:04:52 -0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog cinnamon`.
